Manuel PHP
Précédent |  | Suivant

# constant

(PHP 4 >= 4.0.4)

constant -- Retourne la valeur d'une constante

## Description

``mixed constant` (string name)`

constant() retourne la valeur de la constante `name`.

constant() est pratique lorsque vous devez lire la valeur d'une constante, mais que vous ne savez son nom que durant l'exécution du script. Par exemple, ce nom peut être le résultat d'une fonction.

Exemple 1. Exempe avec constant()
    <php
      define ("MAXSIZE", 100);
      echo MAXSIZE;
      echo constant("MAXSIZE"); // same thing as the previous line
    ?>

Voir aussi define(), defined() et la section sur les constantes.

Précédent | Sommaire | Suivant
define | Niveau supérieur | defined